-- Supid FortunateSon addon
-- WaterWizard#0759 to spread the troll

-- Location Trigger (STV For best appeal)
local STV = "Stranglethorn Vale"
--local STV = "Stormwind City" --for testing
local prevMasterVolume
local prevMusicVolume

local f = CreateFrame("Frame")

f:RegisterEvent("ZONE_CHANGED")
f:RegisterEvent("ZONE_CHANGED_NEW_AREA")
f:RegisterEvent("ZONE_CHANGED_INDOORS")

f:SetScript("OnEvent", function(self,event, ...)
    if (event == "ZONE_CHANGED_NEW_AREA") then
		FortunateSon()
    end
end)

function FortunateSon()
	local zoneName = GetZoneText()	
	
	--If Volume not max - save to prevSound variables
	if (floor(GetCVar("Sound_MasterVolume")) ~= 1) then
		prevMasterVolume = GetCVar("Sound_MasterVolume")
	end
	
	if (floor(GetCVar("Sound_MusicVolume")) ~= 1) then 
		prevMusicVolume = GetCVar("Sound_MusicVolume")
	end
	
	
	if (zoneName == STV) then	
		--Starts up FortunateSon on repeat
		PlayMusic("Interface\\AddOns\\STVietnam\\AudioFiles\\FortunateSon.mp3")
		SetCVar("Sound_MusicVolume", 1)
		SetCVar("Sound_MasterVolume", 1)
	else
		StopMusic()
		SetCVar("Sound_MasterVolume", prevMasterVolume)
		SetCVar("Sound_MusicVolume", prevMusicVolume)
	end
end












